VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT:
[legend]

## Public Member Functions

| DrmFormatModifierPropertiesListEXT (uint32_t drmFormatModifierCount_=0, DrmFormatModifierPropertiesEXT *pDrmFormatModifierProperties_=nullptr)
| DrmFormatModifierPropertiesListEXT (VkDrmFormatModifierPropertiesListEXT const &rhs)
DrmFormatModifierPropertiesListEXT & | operator= (VkDrmFormatModifierPropertiesListEXT const &rhs)
DrmFormatModifierPropertiesListEXT & | setPNext (void *pNext_)
DrmFormatModifierPropertiesListEXT & | setDrmFormatModifierCount (uint32_t drmFormatModifierCount_)
DrmFormatModifierPropertiesListEXT & | setPDrmFormatModifierProperties (DrmFormatModifierPropertiesEXT *pDrmFormatModifierProperties_)
| operator VkDrmFormatModifierPropertiesListEXT const & () const
| operator VkDrmFormatModifierPropertiesListEXT & ()
bool | operator== (DrmFormatModifierPropertiesListEXT const &rhs) const
bool | operator!= (DrmFormatModifierPropertiesListEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | drmFormatModifierCount
DrmFormatModifierPropertiesEXT * | pDrmFormatModifierProperties

## Private Attributes

StructureType | sType = StructureType::eDrmFormatModifierPropertiesListEXT

## Detailed Description

Definition at line 24251 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DrmFormatModifierPropertiesListEXT() [1/2]

VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::DrmFormatModifierPropertiesListEXT | ( | uint32_t | drmFormatModifierCount_ = `0`,
|  | DrmFormatModifierPropertiesEXT * | pDrmFormatModifierProperties_ = `nullptr`
| ) |  |

inline

Definition at line 24253 of file vulkan.hpp.

: drmFormatModifierCount( drmFormatModifierCount_ )
, pDrmFormatModifierProperties( pDrmFormatModifierProperties_ )
{
}

## DrmFormatModifierPropertiesListEXT() [2/2]

VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::DrmFormatModifierPropertiesListEXT | ( | VkDrmFormatModifierPropertiesListEXT const & | rhs | ) |

inline

Definition at line 24260 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DrmFormatModifierPropertiesListEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDrmFormatModifierPropertiesListEXT &()

VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::operator VkDrmFormatModifierPropertiesListEXT & | ( |  | ) |

inline

Definition at line 24293 of file vulkan.hpp.

{
return *reinterpret_cast<VkDrmFormatModifierPropertiesListEXT*>(this);
}

## operator VkDrmFormatModifierPropertiesListEXT const &()

VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::operator VkDrmFormatModifierPropertiesListEXT const & | ( |  | ) | const

inline

Definition at line 24288 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDrmFormatModifierPropertiesListEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::operator!= | ( | DrmFormatModifierPropertiesListEXT const & | rhs | ) | const

inline

Definition at line 24306 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DrmFormatModifierPropertiesListEXT& VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::operator= | ( | VkDrmFormatModifierPropertiesListEXT const & | rhs | ) |

inline

Definition at line 24265 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DrmFormatModifierPropertiesListEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::operator== | ( | DrmFormatModifierPropertiesListEXT const & | rhs | ) | const

inline

Definition at line 24298 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( drmFormatModifierCount == rhs.drmFormatModifierCount )
&& ( pDrmFormatModifierProperties == rhs.pDrmFormatModifierProperties );
}

References drmFormatModifierCount, pDrmFormatModifierProperties, pNext, and sType.

Referenced by operator!=().

## setDrmFormatModifierCount()

DrmFormatModifierPropertiesListEXT& VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::setDrmFormatModifierCount | ( | uint32_t | drmFormatModifierCount_ | ) |

inline

Definition at line 24276 of file vulkan.hpp.

{
drmFormatModifierCount = drmFormatModifierCount_;
return *this;
}

References drmFormatModifierCount.

## setPDrmFormatModifierProperties()

DrmFormatModifierPropertiesListEXT& VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::setPDrmFormatModifierProperties | ( | DrmFormatModifierPropertiesEXT * | pDrmFormatModifierProperties_ | ) |

inline

Definition at line 24282 of file vulkan.hpp.

{
pDrmFormatModifierProperties = pDrmFormatModifierProperties_;
return *this;
}

References pDrmFormatModifierProperties.

## setPNext()

DrmFormatModifierPropertiesListEXT& VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 24270 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## drmFormatModifierCount

uint32_t VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::drmFormatModifierCount

Definition at line 24316 of file vulkan.hpp.

Referenced by operator==(), and setDrmFormatModifierCount().

## pDrmFormatModifierProperties

DrmFormatModifierPropertiesEXT* VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::pDrmFormatModifierProperties

Definition at line 24317 of file vulkan.hpp.

Referenced by operator==(), and setPDrmFormatModifierProperties().

## pNext

void* VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::pNext = nullptr

Definition at line 24315 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::sType = StructureType::eDrmFormatModifierPropertiesListEXT

private

Definition at line 24312 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::pNext
void * pNext
Definition: vulkan.hpp:24315
VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::DrmFormatModifierPropertiesListEXT
DrmFormatModifierPropertiesListEXT(uint32_t drmFormatModifierCount_=0, DrmFormatModifierPropertiesEXT *pDrmFormatModifierProperties_=nullptr)
Definition: vulkan.hpp:24253
VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::operator==
bool operator==(DrmFormatModifierPropertiesListEXT const &rhs) const
Definition: vulkan.hpp:24298
VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::drmFormatModifierCount
uint32_t drmFormatModifierCount
Definition: vulkan.hpp:24316
VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::sType
StructureType sType
Definition: vulkan.hpp:24312
VULKAN_HPP_NAMESPACE::DrmFormatModifierPropertiesListEXT::pDrmFormatModifierProperties
DrmFormatModifierPropertiesEXT * pDrmFormatModifierProperties
Definition: vulkan.hpp:24317
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDrmFormatModifierPropertiesListEXT
Definition: vulkan_core.h:7805